# Class AminoPolymer

java.lang.Object
org.jmol.modelsetbio.BioPolymer
org.jmol.modelsetbio.AlphaPolymer
org.jmol.modelsetbio.AminoPolymer

All Implemented Interfaces:
  `Structure`

public class AminoPolymer extends AlphaPolymer

## Field Summary

### Fields inherited from class AlphaPolymer

`pt0`

### Fields inherited from class BioPolymer

`bioPolymerIndexInModel, controlPoints, cyclicFlag, hasStructure, hasWingPoints, haveParameters, invalidControl, leadAtomIndices, leadMidpoints, leadPoints, model, monomerCount, monomers, reversed, sheetSmoothing, twistedSheets, type, TYPE_AMINO, TYPE_CARBOHYDRATE, TYPE_NOBONDING, TYPE_NUCLEIC, wingVectors`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`calcPhiPsiAngles()`
//////////////////////////////////////////////
`void`
`calcRasmolHydrogenBonds(BioPolymer polymer, BS bsA, BS bsB, Lst<Bond> vHBonds, int nMaxPerResidue, int[][][] min, boolean checkDistances, boolean dsspIgnoreHydrogens)`
///////////////////////////////////////////////
`protected float`
`calculateRamachandranHelixAngle(int m, char qtype)`
`void`
`calculateStructures(boolean alphaOnly)`
/////////////////////////////////////////////////////
`protected void`
`resetHydrogenPoints()`
`void`
`setStructureList(Map<STR,float[]> structureList)`

### Methods inherited from class AlphaPolymer

`addStructure, addStructureProtected, clearStructures, getControlPoint, getProteinStructure, setStructureBS`

### Methods inherited from class BioPolymer

`calcEtaThetaAngles, calcParameters, calcSelectedMonomersCount, findNearestAtomIndex, getControlPoints, getIndex, getLeadAtomIndices, getLeadMidpoints, getPolymerPointsAndVectors, getPolymerSequenceAtoms, getRange, getRangeGroups, getSequence, getType, getWingVectors, isCyclic, isNucleic, recalculateLeadMidpointsAndWingVectors, setAtomBits, setAtomBitsAndClear, setConformation, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### resetHydrogenPoints

protected void resetHydrogenPoints()

Overrides:
  `resetHydrogenPoints` in class `BioPolymer`

### calcPhiPsiAngles

protected boolean calcPhiPsiAngles()
//////////////////////////////////////////////

Overrides:
  `calcPhiPsiAngles` in class `BioPolymer`

### calculateRamachandranHelixAngle

protected float calculateRamachandranHelixAngle(int m, char qtype)

Overrides:
  `calculateRamachandranHelixAngle` in class `BioPolymer`
Parameters:
  `m` -
  `qtype` -
Returns:
  calculated value

### calcRasmolHydrogenBonds

public void calcRasmolHydrogenBonds(BioPolymer polymer, BS bsA, BS bsB, Lst<Bond> vHBonds, int nMaxPerResidue, int[][][] min, boolean checkDistances, boolean dsspIgnoreHydrogens)
///////////////////////////////////////////////

Overrides:
  `calcRasmolHydrogenBonds` in class `BioPolymer`
Parameters:
  `polymer` -
  `bsA` -
  `bsB` -
  `vHBonds` -
  `nMaxPerResidue` -
  `min` -
  `checkDistances` -
  `dsspIgnoreHydrogens` -

### calculateStructures

public void calculateStructures(boolean alphaOnly)
/////////////////////////////////////////////////////

Overrides:
  `calculateStructures` in class `AlphaPolymer`
Parameters:
  `alphaOnly` - caught by AminoPolymer and discarded if desired

### setStructureList

public void setStructureList(Map<STR,float[]> structureList)

Parameters:
  `structureList` - protein only -- helix, sheet, turn definitions